# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.Classify200ResponseDetectionsInner do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :mask,
    :area,
    :boundingBox,
    :confidence,
    :attributes
  ]

  @type t :: %__MODULE__{
    :mask => String.t | nil,
    :area => integer() | nil,
    :boundingBox => [integer()] | nil,
    :confidence => float() | nil,
    :attributes => FoyerAPI.Model.Classify200ResponseDetectionsInnerAttributes.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.Classify200ResponseDetectionsInner do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:attributes, :struct, FoyerAPI.Model.Classify200ResponseDetectionsInnerAttributes, options)
  end
end

